2019-10-19 12:20 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003144FSSCPuser interfacepublic2015-08-31 01:04
ReporterAxem 
Assigned ToMageKing17 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version3.7.2 RC5 
Target Version3.7.4Fixed in Version3.7.3 
Summary0003144: Ship select description doesn't use line breaks and isn't bound correctly
DescriptionThis is the description used in the table

+Description: XSTR("Berserk Style: M-M-M-M-Multi Kill
Quickly destroy targets to increase a berserk multiplier.
Each kill increases the multiplier by 0.2x, up to 2x.", -1)
$end_multi_text

But in game, the line breaks are removed and the text goes past the image border. (see attached pic)
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0016504

MageKing17 (developer)

The code specifically removes line breaks, but I'm not sure why, and The E (who committed it in the first place with r6969) seemed pretty sure he didn't write it originally.

The question is: if we remove the code in missionshipcoice.cpp that strips out the newlines, will this cause weird issues with existing mods? Probably not, but it's worth looking into. Regardless, fixing the width (which is currently hardcoded with a "gr_screen.res == GR_640 ? 128 : 350" on line 1246) should be easier to do, and low-impact.

~0016516

Yarn (developer)

I did some measuring to find the correct line widths for ship descriptions, and they turn out to be 204 for 640x480 and 328 for 1024x768. Thus, changing that portion of line 1246 to "gr_screen.res == GR_640 ? 204 : 328" should do the trick.

For reference, the description widths that are currently in use were committed by The E at revision 7002.

~0016764

MageKing17 (developer)

Pull request: https://github.com/scp-fs2open/fs2open.github.com/pull/326

~0016768

MageKing17 (developer)

This was merged four days ago: https://github.com/scp-fs2open/fs2open.github.com/commit/0954d4e4ee2e643050788072804018976ea3e766
+Notes

-Issue History
Date Modified Username Field Change
2015-02-21 09:51 Axem New Issue
2015-02-21 09:51 Axem File Added: shipdescription.png
2015-02-21 13:00 MageKing17 Note Added: 0016504
2015-02-26 20:40 Yarn Note Added: 0016516
2015-08-26 23:40 MageKing17 Note Added: 0016764
2015-08-26 23:40 MageKing17 Assigned To => MageKing17
2015-08-26 23:40 MageKing17 Status new => code review
2015-08-31 01:03 MageKing17 Note Added: 0016768
2015-08-31 01:03 MageKing17 Fixed in Version => 3.7.3
2015-08-31 01:03 MageKing17 Target Version => 3.7.4
2015-08-31 01:04 MageKing17 Status code review => resolved
2015-08-31 01:04 MageKing17 Resolution open => fixed
+Issue History